Overview | Modules | Class Hierarchy | Classes | Members

# ColorScale.h File Reference

`#include <tulip/Observable.h>`
`#include <tulip/Color.h>`
`#include <vector>`
`#include <map>`

Include dependency graph for ColorScale.h:

## Namespaces

- namespace tlp

## Classes

- class tlp::ColorScale
    Use this class to create a color scale and perform color mapping. The color scale can be either gradient or predefined colors steps. If the color scale is a gradient, returned color are interpolated in function of the position. If the color scale isn't a gradient returned colors are the predefined colors steps. More...

Tulip Software by LaBRI Visualization Team 2001 - 2010